| Home | Libraries | People | FAQ | More

## Struct template has_inverse<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

boost::icl::has_inverse<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename DomainT, typename CodomainT, typename Traits,
             ICL_COMPARE Compare, ICL_COMBINE Combine, ICL_SECTION Section,
             ICL_ALLOC Alloc>
    struct has_inverse<icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc >> {
      // types
      typedef has_inverse< icl::map< DomainT, CodomainT, Traits, Compare, Combine, Section, Alloc > > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = (has_inverse< CodomainT >::value));
    };

## Description

### `has_inverse` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = (has_inverse< CodomainT >::value));